=== debian/changelog ===
gerbera (1.1.0+dfsg-2) unstable; urgency=medium

  * debian/rules:
    - Disable WITH_SYSTEMD option. Fixes FTBFS when systemd is not
      installed.

 -- James Cowgill <jcowgill@debian.org>  Wed, 22 Nov 2017 00:13:31 +0000

gerbera (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/TODO.Debian:
    - Remove.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/config.xml:
    - Re-add ffmpegthumbnailer element to config.xml.
  * debian/control:
    - Bump standards version to 4.1.1.
  * debian/copyright:
    - Update copyright.
    - Exclude web/vendor directory.
  * debian/gerbera.desktop:
    - Use new launch html file path.
  * debian/gerbera.links:
    - Symlink web/vendor javascript libraries to system copies.
    - Remove unused mediatomb.png pixmap symlink.
  * debian/patches:
    - Refresh patches and drop patches applied upstream.
    - Drop duktape patch to use new shared library in Debian.
  * debian/rules:
    - Enable exiv2 and ffmpegthumbnailer support.
  * debian/watch:
    - Update to repack orig tarball.

 -- James Cowgill <jcowgill@debian.org>  Tue, 21 Nov 2017 23:09:57 +0000

gerbera (1.0.0-1) unstable; urgency=medium

  * Initial release of the Gerbera MediaTomb fork. (Closes: #863719)
  * Rename packaging from mediatomb to gerbera.
  * Merge 3 mediatomb packages into one.

  * debian/compat:
    - Use compat 10.
  * debian/config.xml:
    - Fix spelling mistakes.
    - Regenerate using builtin default config.
  * debian/control:
    - Reset list of uploaders to just me.
    - Update Homepage and VCS fields.
    - Update build dependencies.
    - Drop manual debug packages.
    - Bump standards version to 4.1.0.
    - Remove libcurl4-openssl-dev build alternative.
    - Update package description.
  * debian/copyright:
    - Rewrite in machine readable format.
  * debian/gerbera.README.Debian:
    - Remove obsolete sections.
  * debian/gerbera.desktop:
    - Add keywords to desktop file.
  * debian/gerbera.docs:
    - Rename from docs, rename upstream README file.
  * debian/gerbera.init:
    - Remove /etc/default/gerbera.
    - Don't setup routing in the init script.
    - Add .log suffix to log files.
    - Use start-stop-daemon to handle user and pid file.
  * debian/gerbera.install:
    - Install svg and 48x48 png icons.
  * debian/gerbera.logrotate:
    - Rotate monthly and compress old logs.
    - Create new log file with correct permissions after rotating.
  * debian/gerbera.postinst:
    - Remove obsolete upgrade handling.
    - Remove NIS tolerence code.
    - Pass --no-create-home to adduser.
  * debian/gerbera.postrm:
    - Pass --system to deluser and delgroup.
    - Don't stop gerbera manually on removal.
    - Only remove /var/lib/gerbera on purge.
  * debian/gerbera.service:
    - Rewrite systemd service based on upstream's version which does not
      attempt to modify the routing tables.
  * debian/patches:
    - Drop patches applied upstream.
    - Refresh patches.
    - Add patches taken from upstream for libupnp 1.8.2 compatibility.
    - Add patch to build duktape as a static library during the build.
    - Add patch to reopen log files when reloading.
    - Add patch to fix spelling mistakes.
    - Add patch header to symlinks patch.
  * debian/rules:
    - Drop configuration options enabled by default upstream.
    - Remove init script overrides.
    - Build with -Wl,--as-needed and -Wl,-z,now.
  * debian/source/lintian-overrides:
    - Add overrides for long lines in nanotree.js
  * debian/watch:
    - Update watch file to point to GitHub repository.
  * d/Readme.source, d/clean, d/get-git-source.sh, d/gerbera.NEWS,
    d/gerbera.menu, d/gerbera.manpages, d/source/local-options:
    - Remove.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Sep 2017 18:45:01 +0100

mediatomb (0.12.1-47-g7ab7616-1) unstable; urgency=medium

  [ Miguel A. Colón Vélez ]
  * New upstream snapshot.
    - Added subtitle support for Samsung devices. (Closes: #730391)
  * debian/control:
    - Build depend on pkg-config to fix FTBFS.
    - Explicitly build depend on libavutil-dev.
    - Bump libav requirement to 10.
    - Build depend on libflac-dev to enable FLAC metadata extraction.
    - Build depend on uuid-dev to use the system's libuuid.
  * debian/patches:
    - Refresh and update all patches.
    - Use a more robust patch for building wih libmp4v2.
    - Revert an upstream commit to fix building with libmp4v2.
    - Drop internal libuuid and use the system's libuuid.
    - Drop patches that were fixed upstream:
      + 0005_buffer_overrun_999hours.patch
      + 0006a_js_1.8_support.patch
      + 0006b_js_parse.patch
      + 0006c_js_copyObject.patch
      + 0007_libmozjs185_support.patch
      + 0008a_gcc_4.6_support.patch
      + 0008b_gcc_4.7_support.patch
      + 0009a_libav_0.7_support.patch
      + 0011_libav_9_support.patch
      + 0012_remove_absolute_paths.patch
  * debian/rules:
    - Create a get-orig-source-target to obtain the upstream source.
    - Add --disable-silent-rules for compiler-flags-hidden.
    - Remove --disable-libextractor. (deprecated)
    - Use --disable-lastfm instead of --disable-lastfmlib.
  * Remove myself as uploader.

  [ IOhannes m zmölnig ]
  * Disabled User-Interface by default. (Closes: #580120, #778669)
  * Add notification in NEWS/README.Debian about the disabled user-interface.

 -- Hector Oron <zumbi@debian.org>  Mon, 13 Jul 2015 19:41:42 +0200

mediatomb (0.12.1-7) unstable; urgency=medium

  * d/mediatomb-daemon.mediatomb.init: issue an error if MT_USER is not set.
  * d/rules: disable libmp4v2.
    + fixes FTBFS and potential licensing incompatibility.
    Thanks Michael Tautschnig for report.
    (Closes: #765811)
  * Rename mediatomb-daemon service file to mediatomb.
    + enables systemd and sysvinit coexistence.
    + d/mediatomb-daemon.service: make configuration file mandatory.
    + d/mediatomb-daemon.service: require MT_USER variable in configuration
      file.

