=== debian/control ===
Source: gerbera
Section: net
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake (>= 3.2),
 debhelper (>= 10),
 default-libmysqlclient-dev,
 dh-exec,
 duktape-dev (>= 2.2.0-1~),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev,
 libexif-dev,
 libexiv2-dev,
 libexpat-dev,
 libffmpegthumbnailer-dev,
 libmagic-dev,
 libsqlite3-dev,
 libtag1-dev,
 libupnp1.8-dev,
 libz-dev,
 pkg-config,
 uuid-dev
Standards-Version: 4.1.1
Homepage: https://gerbera.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gerbera.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gerbera.git

Package: gerbera
Architecture: any
Depends:
 adduser (>= 3.34),
 lsb-base (>= 3.2-14),
 libjs-bootstrap (>= 3.3.7),
 libjs-jquery (>= 3.1),
 libjs-jquery-cookie,
 libjs-jquery-ui (>= 1.12.1),
 libjs-prototype,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: firefox-esr | www-browser
Description: UPnP MediaServer
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however Gerbera's functionality is extended to
 cover the optional parts of the spec as well.
