=== debian/changelog ===
gerbera (1.12.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Mark python packages as native to fix cross-building
  * Add Pre-Depends to gerbera to satisfy init-system-helpers:any
  * Fix day of the week in d/changelog
  * Bump Standards-Version to 4.6.2
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Remove obsolete Built-Using from gerbera-doc
  * Refresh gerbera.lintian-overrides
  * Fix troff warning
  * Fix spelling errors
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Fri, 25 Aug 2023 09:00:14 +0200

gerbera (1.12.1+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix lintian error by adding Build-Depends: python3

 -- Bastian Germann <bage@debian.org>  Mon, 24 Jul 2023 16:42:33 +0200

gerbera (1.12.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.12.1 (Closes: #1037538, #1037675, #960927, #925465)
  * d/watch: Scan new official GitHub repo
  * Add new build dependencies
  * Remove min build dependency versions
  * Update runtime dependencies
  * Fix lintian: unused-override
  * d/copyright: Drop non-existing files
  * d/copyright: Add new info

  [ James Cowgill ]
  * Use debhelper compat 13
  * Set Rules-Requires-Root: no
  * Install all files within gerbera.install
  * Add gerbera-doc package and install sphinx documentation

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Fri, 14 Jul 2023 21:28:33 +0200

gerbera (1.1.0+dfsg-3) unstable; urgency=medium

  * d/patches: Fix FTBFS with pupnp 1.8.3. (Closes: #885025)

 -- James Cowgill <jcowgill@debian.org>  Mon, 12 Nov 2018 23:08:20 +0000
